diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/routing/manet-routing-compare.cc ns-3.36/examples/routing/manet-routing-compare.cc
--- ns-3.35/examples/routing/manet-routing-compare.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/examples/routing/manet-routing-compare.cc	2022-04-30 18:23:57.722732800 -0700
@@ -83,30 +83,60 @@
 
 NS_LOG_COMPONENT_DEFINE ("manet-routing-compare");
 
+/**
+ * Routing experiment class.
+ * 
+ * It handles the creation and run of an experiment.
+ */
 class RoutingExperiment
 {
 public:
   RoutingExperiment ();
+  /**
+   * Run the experiment.
+   * \param nSinks The number of Sink Nodes.
+   * \param txp The Tx power.
+   * \param CSVfileName The output CSV filename.
+   */
   void Run (int nSinks, double txp, std::string CSVfileName);
   //static void SetMACParam (ns3::NetDeviceContainer & devices,
   //                                 int slotDistance);
+  /**
+   * Handles the command-line parmeters.
+   * \param argc The argument count.
+   * \param argv The argument vector.
+   * \return the CSV filename.
+   */
   std::string CommandSetup (int argc, char **argv);
 
 private:
+  /**
+   * Setup the receiving socket in a Sink Node.
+   * \param addr The address of the node.
+   * \param node The node pointer.
+   * \return the socket.
+   */
   Ptr<Socket> SetupPacketReceive (Ipv4Address addr, Ptr<Node> node);
+  /**
+   * Receive a packet.
+   * \param socket The receiving socket.
+   */
   void ReceivePacket (Ptr<Socket> socket);
+  /**
+   * Compute the throughput.
+   */
   void CheckThroughput ();
 
-  uint32_t port;
-  uint32_t bytesTotal;
-  uint32_t packetsReceived;
-
-  std::string m_CSVfileName;
-  int m_nSinks;
-  std::string m_protocolName;
-  double m_txp;
-  bool m_traceMobility;
-  uint32_t m_protocol;
+  uint32_t port;            //!< Receiving port number.
+  uint32_t bytesTotal;      //!< Total received bytes.
+  uint32_t packetsReceived; //!< Total received packets.
+
+  std::string m_CSVfileName;  //!< CSV filename.
+  int m_nSinks;               //!< Number of sink nodes.
+  std::string m_protocolName; //!< Protocol name.
+  double m_txp;               //!< Tx power.
+  bool m_traceMobility;       //!< Enavle mobility tracing.
+  uint32_t m_protocol;        //!< Protocol type.
 };
 
 RoutingExperiment::RoutingExperiment ()
@@ -268,7 +298,7 @@
   NetDeviceContainer adhocDevices = wifi.Install (wifiPhy, wifiMac, adhocNodes);
 
   MobilityHelper mobilityAdhoc;
-  int64_t streamIndex = 0; // used to get consistent mobility across scenarios
+  [[maybe_unused]] int64_t streamIndex = 0; // used to get consistent mobility across scenarios
 
   ObjectFactory pos;
   pos.SetTypeId ("ns3::RandomRectanglePositionAllocator");
@@ -289,7 +319,6 @@
   mobilityAdhoc.SetPositionAllocator (taPositionAlloc);
   mobilityAdhoc.Install (adhocNodes);
   streamIndex += mobilityAdhoc.AssignStreams (adhocNodes, streamIndex);
-  NS_UNUSED (streamIndex); // From this point, streamIndex is unused
 
   AodvHelper aodv;
   OlsrHelper olsr;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/routing/simple-alternate-routing.cc ns-3.36/examples/routing/simple-alternate-routing.cc
--- ns-3.35/examples/routing/simple-alternate-routing.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/examples/routing/simple-alternate-routing.cc	2022-04-30 18:23:57.722732800 -0700
@@ -71,7 +71,7 @@
   // line argument system as well, for exemplary purposes.  This means 
   // that it can be resettable at the command-line to the program, 
   // rather than recompiling
-  // e.g. waf --run "simple-alternate-routing --AlternateCost=5"
+  // e.g. ns3 --run "simple-alternate-routing --AlternateCost=5"
   uint16_t sampleMetric = 1;
   cmd.AddValue ("AlternateCost",
                 "This metric is used in the example script between n3 and n1 ", 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/socket/CMakeLists.txt ns-3.36/examples/socket/CMakeLists.txt
--- ns-3.35/examples/socket/CMakeLists.txt	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.36/examples/socket/CMakeLists.txt	2022-04-30 18:23:57.722732800 -0700
@@ -0,0 +1,40 @@
+build_example(
+  NAME socket-bound-static-routing
+  SOURCE_FILES socket-bound-static-routing.cc
+  LIBRARIES_TO_LINK
+    ${libnetwork}
+    ${libcsma}
+    ${libpoint-to-point}
+    ${libinternet}
+)
+
+build_example(
+  NAME socket-bound-tcp-static-routing
+  SOURCE_FILES socket-bound-tcp-static-routing.cc
+  LIBRARIES_TO_LINK
+    ${libnetwork}
+    ${libcsma}
+    ${libpoint-to-point}
+    ${libinternet}
+    ${libapplications}
+)
+
+build_example(
+  NAME socket-options-ipv4
+  SOURCE_FILES socket-options-ipv4.cc
+  LIBRARIES_TO_LINK
+    ${libnetwork}
+    ${libcsma}
+    ${libpoint-to-point}
+    ${libinternet}
+)
+
+build_example(
+  NAME socket-options-ipv6
+  SOURCE_FILES socket-options-ipv6.cc
+  LIBRARIES_TO_LINK
+    ${libnetwork}
+    ${libcsma}
+    ${libpoint-to-point}
+    ${libinternet}
+)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/stats/CMakeLists.txt ns-3.36/examples/stats/CMakeLists.txt
--- ns-3.35/examples/stats/CMakeLists.txt	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.36/examples/stats/CMakeLists.txt	2022-04-30 18:23:57.722732800 -0700
@@ -0,0 +1,11 @@
+build_example(
+  NAME wifi-example-sim
+  SOURCE_FILES wifi-example-sim.cc
+               wifi-example-apps.cc
+  HEADER_FILES wifi-example-apps.h
+  LIBRARIES_TO_LINK
+    ${libstats}
+    ${libinternet}
+    ${libmobility}
+    ${libwifi}
+)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/stats/wifi-example-apps.h ns-3.36/examples/stats/wifi-example-apps.h
--- ns-3.35/examples/stats/wifi-example-apps.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/examples/stats/wifi-example-apps.h	2022-04-30 18:23:57.722732800 -0700
@@ -33,10 +33,15 @@
 
 using namespace ns3;
 
-//----------------------------------------------------------------------
-//------------------------------------------------------
+/**
+ * Sender application.
+ */
 class Sender : public Application {
 public:
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
   Sender();
   virtual ~Sender();
@@ -48,35 +53,52 @@
   virtual void StartApplication (void);
   virtual void StopApplication (void);
 
+  /**
+   * Send a packet.
+   */
   void SendPacket ();
 
-  uint32_t        m_pktSize;
-  Ipv4Address     m_destAddr;
-  uint32_t        m_destPort;
-  Ptr<ConstantRandomVariable> m_interval;
-  uint32_t        m_numPkts;
+  uint32_t        m_pktSize;    //!< The packet size.
+  Ipv4Address     m_destAddr;   //!< Destination address.
+  uint32_t        m_destPort;   //!< Destination port.
+  Ptr<ConstantRandomVariable> m_interval; //!< Rng for sending packets.
+  uint32_t        m_numPkts;    //!< Number of packets to send.
 
-  Ptr<Socket>     m_socket;
-  EventId         m_sendEvent;
+  Ptr<Socket>     m_socket;     //!< Sending socket.
+  EventId         m_sendEvent;  //!< Send packet event.
 
+  /// Tx TracedCallback.
   TracedCallback<Ptr<const Packet> > m_txTrace;
 
-  uint32_t        m_count;
+  uint32_t        m_count;      //!< Number of packets sent.
 
   // end class Sender
 };
 
 
-
-
-//------------------------------------------------------
+/**
+ * Receiver application.
+ */
 class Receiver : public Application {
 public:
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
   Receiver();
   virtual ~Receiver();
 
+  /**
+   * Set the counter calculator for received packets.
+   * \param calc The CounterCalculator.
+   */
   void SetCounter (Ptr<CounterCalculator<> > calc);
+
+  /**
+   * Set the delay tracker for received packets.
+   * \param delay The Delay calculator.
+   */
   void SetDelayTracker (Ptr<TimeMinMaxAvgTotalCalculator> delay);
 
 protected:
@@ -86,24 +108,35 @@
   virtual void StartApplication (void);
   virtual void StopApplication (void);
 
+  /**
+   * Receive a packet.
+   * \param socket The receiving socket.
+   */
   void Receive (Ptr<Socket> socket);
 
-  Ptr<Socket>     m_socket;
+  Ptr<Socket>     m_socket; //!< Receiving socket.
+  uint32_t        m_port;   //!< Listening port.
 
-  uint32_t        m_port;
-
-  Ptr<CounterCalculator<> > m_calc;
-  Ptr<TimeMinMaxAvgTotalCalculator> m_delay;
+  Ptr<CounterCalculator<> > m_calc; //!< Counter of the number of received packets.
+  Ptr<TimeMinMaxAvgTotalCalculator> m_delay;  //!< Delay calculator.
 
   // end class Receiver
 };
 
 
-
-
-//------------------------------------------------------
+/**
+ * Timestamp tag - it carries when the packet has been sent.
+ * 
+ * It would have been more realistic to include this info in 
+ * a header. Here we show how to avoid the extra overhead in
+ * a simulation.
+ */
 class TimestampTag : public Tag {
 public:
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
   virtual TypeId GetInstanceTypeId (void) const;
 
@@ -111,14 +144,21 @@
   virtual void Serialize (TagBuffer i) const;
   virtual void Deserialize (TagBuffer i);
 
-  // these are our accessors to our tag structure
+  /**
+   * Set the timestamp.
+   * \param time The timestamp.
+   */
   void SetTimestamp (Time time);
+  /**
+   * Get the timestamp.
+   * \return the timestamp.
+   */
   Time GetTimestamp (void) const;
 
   void Print (std::ostream &os) const;
 
 private:
-  Time m_timestamp;
+  Time m_timestamp; //!< Timestamp.
 
   // end class TimestampTag
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/stats/wifi-example-db.sh ns-3.36/examples/stats/wifi-example-db.sh
--- ns-3.35/examples/stats/wifi-example-db.sh	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/examples/stats/wifi-example-db.sh	2022-04-30 18:23:57.722732800 -0700
@@ -44,7 +44,7 @@
   for distance in $DISTANCES
   do
     echo Trial $trial, distance $distance
-    ../../waf --run "wifi-example-sim --format=db --distance=$distance --run=run-$distance-$trial"
+    ../../ns3 run "wifi-example-sim --format=db --distance=$distance --run=run-$distance-$trial"
   done
 done
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/tcp/CMakeLists.txt ns-3.36/examples/tcp/CMakeLists.txt
--- ns-3.35/examples/tcp/CMakeLists.txt	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.36/examples/tcp/CMakeLists.txt	2022-04-30 18:23:57.722732800 -0700
@@ -0,0 +1,114 @@
+build_example(
+  NAME tcp-large-transfer
+  SOURCE_FILES tcp-large-transfer.cc
+  LIBRARIES_TO_LINK
+    ${libpoint-to-point}
+    ${libapplications}
+    ${libinternet}
+)
+
+build_example(
+  NAME tcp-star-server
+  SOURCE_FILES tcp-star-server.cc
+  LIBRARIES_TO_LINK
+    ${libpoint-to-point}
+    ${libapplications}
+    ${libinternet}
+)
+
+build_example(
+  NAME star
+  SOURCE_FILES star.cc
+  LIBRARIES_TO_LINK
+    ${libnetanim}
+    ${libpoint-to-point}
+    ${libpoint-to-point-layout}
+    ${libapplications}
+    ${libinternet}
+)
+
+build_example(
+  NAME tcp-bbr-example
+  SOURCE_FILES tcp-bbr-example.cc
+  LIBRARIES_TO_LINK
+    ${libpoint-to-point}
+    ${libinternet}
+    ${libapplications}
+    ${libtraffic-control}
+    ${libnetwork}
+    ${libinternet-apps}
+    ${libflow-monitor}
+)
+
+build_example(
+  NAME tcp-bulk-send
+  SOURCE_FILES tcp-bulk-send.cc
+  LIBRARIES_TO_LINK
+    ${libpoint-to-point}
+    ${libapplications}
+    ${libinternet}
+)
+
+build_example(
+  NAME tcp-pcap-nanosec-example
+  SOURCE_FILES tcp-pcap-nanosec-example.cc
+  LIBRARIES_TO_LINK
+    ${libpoint-to-point}
+    ${libapplications}
+    ${libinternet}
+)
+
+build_example(
+  NAME tcp-variants-comparison
+  SOURCE_FILES tcp-variants-comparison.cc
+  LIBRARIES_TO_LINK
+    ${libpoint-to-point}
+    ${libinternet}
+    ${libapplications}
+    ${libflow-monitor}
+)
+
+build_example(
+  NAME tcp-pacing
+  SOURCE_FILES tcp-pacing.cc
+  LIBRARIES_TO_LINK
+    ${libpoint-to-point}
+    ${libinternet}
+    ${libapplications}
+    ${libflow-monitor}
+)
+
+build_example(
+  NAME tcp-linux-reno
+  SOURCE_FILES tcp-linux-reno.cc
+  LIBRARIES_TO_LINK
+    ${libpoint-to-point}
+    ${libinternet}
+    ${libapplications}
+    ${libtraffic-control}
+    ${libnetwork}
+)
+
+build_example(
+  NAME tcp-validation
+  SOURCE_FILES tcp-validation.cc
+  LIBRARIES_TO_LINK
+    ${libpoint-to-point}
+    ${libinternet}
+    ${libapplications}
+    ${libtraffic-control}
+    ${libnetwork}
+    ${libinternet-apps}
+)
+
+build_example(
+  NAME dctcp-example
+  SOURCE_FILES dctcp-example.cc
+  LIBRARIES_TO_LINK
+    ${libcore}
+    ${libnetwork}
+    ${libinternet}
+    ${libpoint-to-point}
+    ${libapplications}
+    ${libtraffic-control}
+)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/tcp/examples-to-run.py ns-3.36/examples/tcp/examples-to-run.py
--- ns-3.35/examples/tcp/examples-to-run.py	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/examples/tcp/examples-to-run.py	2022-04-30 18:23:57.722732800 -0700
@@ -10,8 +10,6 @@
 cpp_examples = [
     ("star", "True", "True"),
     ("tcp-large-transfer", "True", "True"),
-    ("tcp-nsc-lfn", "NSC_ENABLED == True", "False"),
-    ("tcp-nsc-zoo", "NSC_ENABLED == True", "False"),
     ("tcp-star-server", "True", "True"),
     ("tcp-variants-comparison", "True", "True"),
     ("tcp-validation --firstTcpType=dctcp --linkRate=50Mbps --baseRtt=10ms --queueUseEcn=1 --stopTime=15s --validate=dctcp-10ms", "True", "True"),
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/tcp/tcp-bbr-example.cc ns-3.36/examples/tcp/tcp-bbr-example.cc
--- ns-3.35/examples/tcp/tcp-bbr-example.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/examples/tcp/tcp-bbr-example.cc	2022-04-30 18:23:57.722732800 -0700
@@ -200,8 +200,9 @@
   BulkSendHelper source ("ns3::TcpSocketFactory", InetSocketAddress (ir1.GetAddress (1), port));
   source.SetAttribute ("MaxBytes", UintegerValue (0));
   ApplicationContainer sourceApps = source.Install (sender.Get (0));
-  sourceApps.Start (Seconds (0.0));
-  Simulator::Schedule (Seconds (0.2), &TraceCwnd, 0, 0);
+  sourceApps.Start (Seconds (0.1));
+  // Hook trace source after application starts
+  Simulator::Schedule (Seconds (0.1) + MilliSeconds (1), &TraceCwnd, 0, 0);
   sourceApps.Stop (stopTime);
 
   // Install application on the receiver
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/tcp/tcp-large-transfer.cc ns-3.36/examples/tcp/tcp-large-transfer.cc
--- ns-3.35/examples/tcp/tcp-large-transfer.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/examples/tcp/tcp-large-transfer.cc	2022-04-30 18:23:57.722732800 -0700
@@ -27,7 +27,7 @@
 // - pcap traces also generated in the following files
 //   "tcp-large-transfer-$n-$i.pcap" where n and i represent node and interface
 // numbers respectively
-//  Usage (e.g.): ./waf --run tcp-large-transfer
+//  Usage (e.g.): ./ns3 run tcp-large-transfer
 
 #include <iostream>
 #include <fstream>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/tcp/tcp-linux-reno.cc ns-3.36/examples/tcp/tcp-linux-reno.cc
--- ns-3.35/examples/tcp/tcp-linux-reno.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/examples/tcp/tcp-linux-reno.cc	2022-04-30 18:23:57.722732800 -0700
@@ -211,7 +211,7 @@
 
   // Create directories to store dat files
   struct stat buffer;
-  int retVal;
+  [[maybe_unused]] int retVal;
   if ((stat (dir.c_str (), &buffer)) == 0)
     {
       std::string dirToRemove = "rm -rf " + dir;
@@ -227,7 +227,6 @@
   NS_ASSERT_MSG (retVal == 0, "Error in return value");
   retVal = system ((dirToSave + "/cwndTraces/").c_str ());
   NS_ASSERT_MSG (retVal == 0, "Error in return value");
-  NS_UNUSED (retVal);
 
   // Set default parameters for queue discipline
   Config::SetDefault (qdiscTypeId + "::MaxSize", QueueSizeValue (QueueSize ("100p")));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/tcp/tcp-pacing.cc ns-3.36/examples/tcp/tcp-pacing.cc
--- ns-3.35/examples/tcp/tcp-pacing.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/examples/tcp/tcp-pacing.cc	2022-04-30 18:23:57.722732800 -0700
@@ -62,7 +62,7 @@
 // an RTT. The size of initial congestion window is set to 10, and pacing
 // of the initial window is enabled. The available command-line options and
 // their default values can be observed in the usual way by running the
-// program to print the help info; i.e.: ./waf --run 'tcp-pacing --PrintHelp'
+// program to print the help info; i.e.: ./ns3 run 'tcp-pacing --PrintHelp'
 //
 // When pacing is disabled, TCP sends eligible packets back-to-back. The
 // differences in behaviour when pacing is disabled can be observed from the
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/tcp/tcp-star-server.cc ns-3.36/examples/tcp/tcp-star-server.cc
--- ns-3.35/examples/tcp/tcp-star-server.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/examples/tcp/tcp-star-server.cc	2022-04-30 18:23:57.722732800 -0700
@@ -33,10 +33,10 @@
 //   "tcp-star-server-$n-$i.pcap" where n and i represent node and interface
 //   numbers respectively
 // Usage examples for things you might want to tweak:
-//       ./waf --run="tcp-star-server"
-//       ./waf --run="tcp-star-server --nNodes=25"
-//       ./waf --run="tcp-star-server --ns3::OnOffApplication::DataRate=10000"
-//       ./waf --run="tcp-star-server --ns3::OnOffApplication::PacketSize=500"
+//       ./ns3 run="tcp-star-server"
+//       ./ns3 run="tcp-star-server --nNodes=25"
+//       ./ns3 run="tcp-star-server --ns3::OnOffApplication::DataRate=10000"
+//       ./ns3 run="tcp-star-server --ns3::OnOffApplication::PacketSize=500"
 // See the ns-3 tutorial for more info on the command line: 
 // http://www.nsnam.org/tutorials.html
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/tcp/tcp-validation.cc ns-3.36/examples/tcp/tcp-validation.cc
--- ns-3.35/examples/tcp/tcp-validation.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/examples/tcp/tcp-validation.cc	2022-04-30 18:23:57.722732800 -0700
@@ -113,13 +113,13 @@
 // validation cases (and syntax of how to run):
 // ------------
 // Case 'dctcp-10ms':  DCTCP single flow, 10ms base RTT, 50 Mbps link, ECN enabled, CoDel:
-//     ./waf --run 'tcp-validation --firstTcpType=dctcp --linkRate=50Mbps --baseRtt=10ms --queueUseEcn=1 --stopTime=15s --validate=1 --validation=dctcp-10ms'
+//     ./ns3 run 'tcp-validation --firstTcpType=dctcp --linkRate=50Mbps --baseRtt=10ms --queueUseEcn=1 --stopTime=15s --validate=1 --validation=dctcp-10ms'
 //    - Throughput between 48 Mbps and 49 Mbps for time greater than 5.6s
 //    - DCTCP alpha below 0.1 for time greater than 5.4s
 //    - DCTCP alpha between 0.06 and 0.085 for time greater than 7s
 //
 // Case 'dctcp-80ms': DCTCP single flow, 80ms base RTT, 50 Mbps link, ECN enabled, CoDel:
-//     ./waf --run 'tcp-validation --firstTcpType=dctcp --linkRate=50Mbps --baseRtt=80ms --queueUseEcn=1 --stopTime=40s --validate=1 --validation=dctcp-80ms'
+//     ./ns3 run 'tcp-validation --firstTcpType=dctcp --linkRate=50Mbps --baseRtt=80ms --queueUseEcn=1 --stopTime=40s --validate=1 --validation=dctcp-80ms'
 //    - Throughput less than 20 Mbps for time less than 14s
 //    - Throughput less than 48 Mbps for time less than 30s
 //    - Throughput between 47.5 Mbps and 48.5 for time greater than 32s
@@ -128,14 +128,14 @@
 //    - DCTCP alpha between 0.015 and 0.025 for time greater than 34
 //
 // Case 'cubic-50ms-no-ecn': CUBIC single flow, 50ms base RTT, 50 Mbps link, ECN disabled, CoDel:
-//     ./waf --run 'tcp-validation --firstTcpType=cubic --linkRate=50Mbps --baseRtt=50ms --queueUseEcn=0 --stopTime=20s --validate=1 --validation=cubic-50ms-no-ecn'
+//     ./ns3 run 'tcp-validation --firstTcpType=cubic --linkRate=50Mbps --baseRtt=50ms --queueUseEcn=0 --stopTime=20s --validate=1 --validation=cubic-50ms-no-ecn'
 //    - Maximum value of cwnd is 511 segments at 5.4593 seconds
 //    - cwnd decreases to 173 segments at 5.80304 seconds
 //    - cwnd reaches another local maxima around 14.2815 seconds of 236 segments
 //    - cwnd reaches a second maximum around 18.048 seconds of 234 segments
 //
 // Case 'cubic-50ms-ecn': CUBIC single flow, 50ms base RTT, 50 Mbps link, ECN enabled, CoDel:
-//     ./waf --run 'tcp-validation --firstTcpType=cubic --linkRate=50Mbps --baseRtt=50ms --queueUseEcn=0 --stopTime=20s --validate=1 --validation=cubic-50ms-no-ecn'
+//     ./ns3 run 'tcp-validation --firstTcpType=cubic --linkRate=50Mbps --baseRtt=50ms --queueUseEcn=0 --stopTime=20s --validate=1 --validation=cubic-50ms-no-ecn'
 //    - Maximum value of cwnd is 511 segments at 5.4593 seconds
 //    - cwnd decreases to 173 segments at 5.7939 seconds
 //    - cwnd reaches another local maxima around 14.3477 seconds of 236 segments
@@ -498,7 +498,7 @@
   ////////////////////////////////////////////////////////////
   // command-line argument parsing                          //
   ////////////////////////////////////////////////////////////
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("firstTcpType", "first TCP type (cubic, dctcp, or reno)", firstTcpType);
   cmd.AddValue ("secondTcpType", "second TCP type (cubic, dctcp, or reno)", secondTcpType);
   cmd.AddValue ("queueType", "bottleneck queue type (fq, codel, pie, or red)", queueType);
